12.1.1 to 12.2.5 Upgrade Fails During Patch 21366277 with Error 'Find_executable_file( ): Cannot find “java” from “/apps/fs1/FMW_Home/oracle_common/jdk/jre' (Doc ID 2147962.1)

Last updated on JUNE 15, 2017

Applies to:

Oracle Applications DBA - Version 12.1.1 to 12.2.5 [Release 12.1 to 12.2]
Information in this document applies to any platform.

Symptoms

E-Business Suite 12.1 Applications DBA, Upgrade related issues



During the upgrade from 12.1.1 to 12.2.5, the installation of <Patch 21366277> fails with the following error:

ERROR
-----------------------
$opatch apply -jre $ORACLE_HOME/jdk/jre

Find_executable_file( ): Cannot find “java” from “/apps/fs1/FMW_Home/oracle_common/jdk/jre


STEPS
-----------------------
The issue can be reproduced at will with the following steps:
1. Apply <Patch 21366277>.



BUSINESS IMPACT
-----------------------
The issue has the following business impact:
Due to this issue, users cannot apply the patch successfully for testing.

Changes

 Customer trying to upgrade the EBS version from 12.1.1 to 12.2.5.

Per Chapter 5 in the Oracle E-Business Suite Upgrade Guide R12.0 and R12.1 to R12.2, in Section 1:

Apply the latest AD and TXK patchsets (required), per <Note 1583092.1> and from there <Note 1983050.1>.
Per Section 6 in <Note 1983050.1>, follow <Note1617461.1> and the Path A is chosen as per another SR
In the Prerequisite section 3.1.1 , i am supposed to run the ETCC . For database everything is ok whereas for MT i have to install the following patches:

Oracle Fusion Middleware (FMW) - oracle_common 11.1.1.9.0
- Filename: p21366277_111190_Generic.zip
- Filename: p21628307_111190_Generic.zip

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms